Bug 1180197 (CVE-2015-0564) - CVE-2015-0564 wireshark: TLS/SSL decryption crash (wnpa-sec-2015-05)
Summary: CVE-2015-0564 wireshark: TLS/SSL decryption crash (wnpa-sec-2015-05)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0564
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1180198 1208005 1245763
Blocks: 1180203 1210268
TreeView+ depends on / blocked
 
Reported: 2015-01-08 15:33 UTC by Martin Prpič
Modified: 2019-09-29 13:26 UTC (History)
6 users (show)

Fixed In Version: Wireshark 1.12.3, Wireshark 1.10.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:49:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1460 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-07-21 14:14:59 UTC
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Martin Prpič 2015-01-08 15:33:22 UTC
A buffer underflow flaw was found in the way Wireshark decypted TLS/SSL sessions. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.12.0 to 1.12.2, and 1.10.0 to 1.10.11. It is fixed in versions 1.12.3 and 1.10.12.

External References:

https://www.wireshark.org/security/wnpa-sec-2015-05.html

Comment 1 Martin Prpič 2015-01-08 15:34:00 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1180198]

Comment 4 Siddharth Sharma 2015-01-19 05:11:02 UTC
Analysis
========

In the wireshark code for decypted TLS/SSL sessions


  /* Now strip off the padding*/
    if(decoder->cipher_suite->block!=1) {
       pad=out_str->data[inl-1];
        worklen-=(pad+1);
        ssl_debug_printf("ssl_decrypt_record found padding %d final len %d\n",
            pad, worklen);
    }

at line  pad=out_str->data[inl-1]; 

if value of "inl" is less than 0 would cause wireshark to crash

Comment 6 errata-xmlrpc 2015-07-22 07:24:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1460 https://rhn.redhat.com/errata/RHSA-2015-1460.html

Comment 10 errata-xmlrpc 2015-11-19 12:36:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 11 Huzaifa S. Sidhpurwala 2015-11-20 04:49:24 UTC
Statement:

This issue affects the verison of wireshark as shipped with Red Hat Enterprsie Linux 5. Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.